/* com/syncbuilder/device/CardInfo.java:
*
* Copyright (C) 1997, 1998, Kenneth Albanowski
* Copyright (C) 1998, 1999, Tilo Christ
*
* This is free software, licensed under the GNU Library Public License V2.
* See the file COPYING.LIB for details.
*/
/* $Id: CardInfo.java,v 1.6 1999/03/21 16:28:23 christ Exp $ */

package com.syncbuilder.device;

/**
* Information about a single storage card. 
*
* @see com.syncbuilder.device.StorageInfo
*
* @author Kenneth Albanowski, Tilo Christ
*/
public class CardInfo 
{
	/**
	* Construct a new CardInfo object. This is typically not done directly, but through the getCardInfo()-method
	* from the StorageInfo-class.
	*
	* @see com.syncbuilder.device.StorageInfo#getCardInfo
	*/
	public CardInfo(int card, int version, java.util.Date creation, int rom_size, int ram_size, int ram_free, String name, String manufacturer)
	{
		this._card = card;
		this._version = version;
		this._creation = creation;
		this._rom_size = rom_size;
		this._ram_size = ram_size;
		this._ram_free = ram_free;
		this._name = name;
		this._manufacturer = manufacturer;				
	}


	public int getCard()
	{
		return _card;
	}

	public int getVersion()
	{
		return _version;
	}
	
	public java.util.Date getCreationTime()
	{
		return _creation;
	}

	public int getRomSize()
	{
		return _rom_size;
	}

	public int getRamSize()
	{
		return _ram_size;
	}

	public int getFreeRam()
	{
		return _ram_free;
	}	

	public String getName()
	{
		return _name;
	}
	
	public String getManufacturer()
	{
		return _manufacturer;
	}


	public String toString() 
	{
		return "<com.syncbuilder.device.CardInfo: Card# "+_card+", Card version: "+_version+ ", Creation time: "+((_creation == null) ? "null" : _creation.toString())+",\nTotal ROM: "+_rom_size+", Total RAM: "+_ram_size+
			", Free RAM: "+_ram_free+",\nCard name: '"+_name+"', Manufacturer name: '"+_manufacturer+"'>";
	}

	/** The identification number of the Palm devices's built-in card */
	public final static int DEFAULTCARD = 0;
	
	private int _card;
	private int _version;
	private java.util.Date _creation;
	private int _rom_size, _ram_size, _ram_free;
	private String _name;
	private String _manufacturer;
}
