/* com/syncbuilder/device/NetSyncInfo.java:
*
* Copyright (C) 1997, 1998, Kenneth Albanowski
* Copyright (C) 1998, Tilo Christ
*
* This is free software, licensed under the GNU Library Public License V2.
* See the file COPYING.LIB for details.
*/
/* $Id: NetSyncInfo.java,v 1.3 1998/12/28 08:41:44 christ Exp $ */

package com.syncbuilder.device;

/**
* This class encapsulates information about the Palm device's Network HotSync
* preference settings.
*
* @author Kenneth Albanowski, Tilo Christ
*/
public class NetSyncInfo 
{
	public NetSyncInfo(boolean lan_sync, String host_name, String host_address, String host_subnet_mask)
	{
		this._lan_sync = lan_sync;
		this._host_name = host_name;
		this._host_address = host_address;
		this._host_subnet_mask = host_subnet_mask;
	}

	public boolean getLANSync()
	{
		return _lan_sync;
	}

	public String getHostName()
	{
		return _host_name;
	}

	public String getHostAddress()
	{
		return _host_address;
	}

	public String getHostSubnetMask()
	{
		return _host_subnet_mask;
	}

	public String toString() 
	{
		return "<com.syncbuilder.device.NetSyncInfo: LANSync: "+_lan_sync+", Host name: '"+ ((_host_name != null) ? _host_name : "(unspecified)") +"', Host address: '"+
			((_host_address != null) ? _host_address : "(unspecified)") +"', Subnet Mask: '"+ ((_host_subnet_mask != null) ? _host_subnet_mask : "(unspecified)") + "'>";
	}

	private boolean _lan_sync;
	private String _host_name, _host_address, _host_subnet_mask;
}
