// CmdNCtrl.cpp : Defines the class behaviors for the application.
//

#include "stdafx.h"

#ifndef _SPEECH_
#include "speech.h"
#endif

#include "CmdNCtrl.h"
#include "CmdNCtrlDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CCmdNCtrlApp

BEGIN_MESSAGE_MAP(CCmdNCtrlApp, CWinApp)
	//{{AFX_MSG_MAP(CCmdNCtrlApp)
		// NOTE - the ClassWizard will add and remove mapping macros here.
		//    DO NOT EDIT what you see in these blocks of generated code!
	//}}AFX_MSG
	ON_COMMAND(ID_HELP, CWinApp::OnHelp)
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CCmdNCtrlApp construction

CCmdNCtrlApp::CCmdNCtrlApp()
{
	// TODO: add construction code here,
	// Place all significant initialization in InitInstance
}

CCmdNCtrlApp::~CCmdNCtrlApp()
{
  m_pIVoiceCmd->Release();
  CoUninitialize();
}

/////////////////////////////////////////////////////////////////////////////
// The one and only CCmdNCtrlApp object

CCmdNCtrlApp theApp;

/////////////////////////////////////////////////////////////////////////////
// CCmdNCtrlApp initialization

BOOL CCmdNCtrlApp::InitInstance()
{
	// Initialize COM so we can use Coxxx() calls
	if ( FAILED(CoInitialize(NULL)) ) return FALSE;

	AfxEnableControlContainer();

	// Standard initialization
	// If you are not using these features and wish to reduce the size
	//  of your final executable, you should remove from the following
	//  the specific initialization routines you do not need.

#ifdef _AFXDLL
	Enable3dControls();			// Call this when using MFC in a shared DLL
#else
	Enable3dControlsStatic();	// Call this when linking to MFC statically
#endif

	if ( S_OK != CoCreateInstance
		  (CLSID_VCmd,     //  voice command object class identifier
		   NULL,
		   CLSCTX_LOCAL_SERVER,
		   IID_IVoiceCmd,	// voice command object interface identifier
		   (LPVOID*)&m_pIVoiceCmd //ptr to voice command object interface
		   )
	   )
  {
		AfxMessageBox("Unable to initialize Command and Control Speech Recognition. Application exiting.");
	
	  return FALSE;
  }
  if ((m_pIVCmdNotifySink = new CIVCmdNotifySink()) == NULL)
  {
    // Only happens if memory allocation fails for our notify sink.
    AfxMessageBox("Unable to create notify sink. Application exiting");
    return FALSE;
  }

  // Register our voice command object and our notify sink.
  m_pIVoiceCmd->Register("",
                         m_pIVCmdNotifySink,
                         IID_IVCmdNotifySink,
                         0,
                         NULL);

	CCmdNCtrlDlg dlg(m_pIVoiceCmd, m_pIVCmdNotifySink);
	m_pMainWnd = &dlg;
	int nResponse = dlg.DoModal();
	if (nResponse == IDOK)
	{
		// TODO: Place code here to handle when the dialog is
		//  dismissed with OK
	}
	else if (nResponse == IDCANCEL)
	{
		// TODO: Place code here to handle when the dialog is
		//  dismissed with Cancel
	}

	// Since the dialog has been closed, return FALSE so that we exit the
	//  application, rather than start the application's message pump.
	return FALSE;
}
